com.aliyun.player.source

## Class StsInfo

- java.lang.Object
- - com.aliyun.player.source.StsInfo

-     public class StsInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StsInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccessKeyId()` Query the AccessKey ID for authentication.
    `java.lang.String` | `getAccessKeySecret()` Query the AccessKey Secret for authentication.
    `java.util.List<MediaFormat>` | `getFormats()` Query the formats of the returned data.
    `java.lang.String` | `getRegion()` Query region information.
    `java.lang.String` | `getSecurityToken()` Query the token.
    `void` | `setAccessKeyId(java.lang.String accessKeyId)` Set the AccessKey ID for authentication.
    `void` | `setAccessKeySecret(java.lang.String accessKeySecret)` Set the AccessKey Secret for authentication.
    `void` | `setFormats(java.util.List<MediaFormat> formats)` Set the formats of the returned data.
    `void` | `setRegion(java.lang.String region)` Specify regions.
    `void` | `setSecurityToken(java.lang.String securityToken)` Set a token.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StsInfo

          public StsInfo()

  - ### Method Detail

    - #### setAccessKeyId

          public void setAccessKeyId(java.lang.String accessKeyId)

      Set the AccessKey ID for authentication.
      Parameters:
        `accessKeyId` - The AccessKey ID for authentication.

    - #### setAccessKeySecret

          public void setAccessKeySecret(java.lang.String accessKeySecret)

      Set the AccessKey Secret for authentication.
      Parameters:
        `accessKeySecret` - The AccessKey Secret for authentication.

    - #### setSecurityToken

          public void setSecurityToken(java.lang.String securityToken)

      Set a token.
      Parameters:
        `securityToken` - The specified token.

    - #### setRegion

          public void setRegion(java.lang.String region)

      Specify regions.
      Parameters:
        `region` - The specified regions.

    - #### getAccessKeyId

          public java.lang.String getAccessKeyId()

      Query the AccessKey ID for authentication.
      Returns:
        The AccessKey ID for authentication.

    - #### getAccessKeySecret

          public java.lang.String getAccessKeySecret()

      Query the AccessKey Secret for authentication.
      Returns:
        The AccessKey Secret for authentication.

    - #### getSecurityToken

          public java.lang.String getSecurityToken()

      Query the token.
      Returns:
        The token.

    - #### getRegion

          public java.lang.String getRegion()

      Query region information.
      Returns:
        The region information.

    - #### getFormats

          public java.util.List<MediaFormat> getFormats()

      Query the formats of the returned data.
      Returns:
        The formats of the returned data.

    - #### setFormats

          public void setFormats(java.util.List<MediaFormat> formats)

      Set the formats of the returned data. This parameter is optional. Default: mp4|m3u8|mp3|flv.
      Parameters:
        `formats` - The formats of the returned data.